# Class ZelleAccountPayload

#### Hierarchy

- unknown
  - ZelleAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:3808
- Defined in src/protobuf/pb_pb.d.ts:3823

#####
Index

### Constructors

constructor

### Methods

getEmailOrMobileNr
getHolderName
serializeBinary
setEmailOrMobileNr
setHolderName
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new ZelleAccountPayload(): ZelleAccountPayload

- #### Returns ZelleAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getEmailOrMobileNr

- getEmailOrMobileNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3812

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:3809

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:3815

### setEmailOrMobileNr

- setEmailOrMobileNr(value: string): ZelleAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns ZelleAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3813

### setHolderName

- setHolderName(value: string): ZelleAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns ZelleAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3810

### toObject

- toObject(includeInstance?: boolean): ZelleAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns ZelleAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3816

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): ZelleAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ZelleAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3819

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ZelleAccountPayload, reader: BinaryReader): ZelleAccountPayload

- #### Parameters

  - ##### message: ZelleAccountPayload

  - ##### reader: BinaryReader

  #### Returns ZelleAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:3820

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: ZelleAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: ZelleAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:3818

### `Static` toObject

- toObject(includeInstance: boolean, msg: ZelleAccountPayload): ZelleAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ZelleAccountPayload

  #### Returns ZelleAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:3817

Generated using TypeDoc